
/*
 * Common
 */

html, body {
    width: 100%;      /*provides the correct work of a full-screen layout*/
    height: 100%;     /*provides the correct work of a full-screen layout*/
    overflow: hidden; /*hides the default body's space*/
    margin: 0;      /*hides the body's scrolls*/
}

/*html body .dhxlayout_cont .dhx_cell_layout {
    display: none;
}*/



/*
 * Login Page
 */

.outer {
    display: table;
    position: absolute;
    height: 100%;
    width: 100%;
}
.middle {
    display: table-cell;
    vertical-align: middle;
}
.inner {
    margin-left: auto;
    margin-right: auto;
    width: auto;
}

.dhx_cell_cont_layout {
    overflow: auto;
}

#form-container .dhxform_obj_material fieldset.dhxform_fs {
    margin-left: auto;
    margin-right: auto;
}
#form-container, #form-container .dhxform_base, #form-container .dhxform_obj_material.dhxform_block, #form-container .dhxform_obj_material div.dhxform_base {
    float: none;
}

.dhxform_obj_material div.dhxform_btn {
    cursor: pointer;
}
.dhxform_obj_material .disabled div.dhxform_btn {
    color: #a6a6a6;
    cursor: default;
}



/*
 * Main App
 */

.dhx_toolbar_material.dhxtoolbar_icons_18 div.dhx_toolbar_btn i {
    /* width: 18px;
    height: 32px; */
    line-height: 32px;
    /* font-size: 17px; */
    margin-top: -1px;
    padding: 0;
}

div.dhx_toolbar_material div.dhx_toolbar_btn, div.dhx_toolbar_material div.dhx_toolbar_arw,
div.dhx_toolbar_material div.dhx_toolbar_btn div.dhxtoolbar_text, div.dhx_toolbar_material div.dhx_toolbar_btn i {
    cursor: pointer;
}

div.gridbox table tr td a {
    color: inherit;
}


.overlay:after {
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /* opacity: 0.1;
    background-color: black; */
    opacity: 0.4;
    background-color: #ddd;
    z-index: 9999;
}


.dhx_cal_data div.dhx_month_link {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    padding-left: 5px;
    padding-right: 5px;
}

/*.dhx_cal_container .dhx_loading {
    display: none;
}*/

.dhx_cal_light_wide {
    width: 640px; /* 738px */
}

.dhx_cal_light_wide .dhx_cal_larea {
    width: 630px;   /* 730px; */
    margin-left: 5px;   /* 3px; */
}

.dhx_cal_light_wide .dhx_cal_lsection {
    width: 120px;   /* 100px; */
}

.dhx_cal_light .dhx_section_time select[aria-label="Hour Minute"] {
    display: none;
}




.dhx_cal_event div.dhx_footer,
.dhx_cal_event.past_event div.dhx_footer,
.dhx_cal_event.event_red div.dhx_footer,
.dhx_cal_event.event_orange div.dhx_footer,
.dhx_cal_event.event_green div.dhx_footer{
    background-color: transparent !important;
}
.dhx_cal_event .dhx_body, .dhx_cal_event_line {
    -webkit-transition: opacity 0.1s;
    transition: opacity 0.1s;
    opacity: 0.7;
}
.dhx_cal_event .dhx_title{
    line-height: 12px;
}
.dhx_cal_event_line:hover,
.dhx_cal_event:hover .dhx_body,
.dhx_cal_event.selected .dhx_body,
.dhx_cal_event.dhx_cal_select_menu .dhx_body, .dhx_cal_event_line.selected {
    opacity: 1;
}

.dhx_cal_event.event_orange div, .dhx_cal_event_line.event_orange{
    background-color: orange !important;
    border-color: #a36800 !important;
}
.dhx_cal_event_clear.event_orange{
    color:orange !important;
}

.dhx_cal_event.event_green div, .dhx_cal_event_line.event_green{
    background-color: #36BD14 !important;
    border-color: #698490 !important;
}
.dhx_cal_event_clear.event_green{
    color:#36BD14 !important;
}

.dhx_cal_event.event_red div, .dhx_cal_event_line.event_red{
    background-color: #d60514 !important;
    border-color: #a4050f !important;
}
.dhx_cal_event_clear.event_red{
    color:#d60514 !important;
}

.dhx_cal_light_wide .dhx_combo_box, .dhx_cal_light_wide .combo > div, .dhxcombolist_dhx_terrace {
    width: 488px !important;
}
.dhx_cal_light_wide .combo > div .dhxcombo_input {
    width: 464px!important;
}

.event_status_null {
    background-color: gray;
}
.event_status_entered {
    background-color: #36bd14;
}
.event_status_expired {
    background-color: #d60514;
}
.event_status_no_contract {
    background-color: orange;
}



.dhtmlx-error  div {
    padding: 0;
    background-color: transparent;
    color: white;
}

.dhtmlx-error > div {
    padding: 16px 9px 16px 18px;
    background-color: #e53935;
}

.dhtmlx-deleted > div, .dhtmlx-updated > div, .dhtmlx-inserted > div {
    background-color: #dffddf;
}


.dhxform_obj_material div.dhxform_item_label_right div.dhxform_control {
    margin-right: 12px;
}


